[users] Dependency issue with clisp

Alfred von Campe alfred at von-campe.com
Mon Nov 15 19:19:15 CET 2010


Now that we have a bit more activity on this list and the repo, I thought I'd repost my request from earlier this year.

On May 21, 2010, at 8:37, I wrote:

> I'm trying to install the clisp package from rpmforge and get the following error:
> 
> # yum install clisp
> Loaded plugins: fastestmirror, priorities
> Loading mirror speeds from cached hostfile
> Excluding Packages from CentOS-5 - Base
> Finished
> Excluding Packages from CentOS-5 - Updates
> Finished
> 822 packages excluded due to repository priority protections
> Setting up Install Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package clisp.i386 0:2.42-1.el5.rf set to be updated
> --> Processing Dependency: libsigsegv.so.0 for package: clisp
> --> Finished Dependency Resolution
> clisp-2.42-1.el5.rf.i386 from rpmforge has depsolving problems
>  --> Missing Dependency: libsigsegv.so.0 is needed by package clisp-2.42-1.el5.rf.i386 (rpmforge)
> Error: Missing Dependency: libsigsegv.so.0 is needed by package clisp-2.42-1.el5.rf.i386 (rpmforge)
> You could try using --skip-broken to work around the problem
> You could try running: package-cleanup --problems
>                        package-cleanup --dupes
>                        rpm -Va --nofiles --nodigest
> 
> The libsigsegv package from rpmforge is already installed:
> 
> # rpm -q libsigsegv
> libsigsegv-2.7-1.el5.rf
> 
> However, it provides /usr/lib/libsigsegv.so.2 and not /usr/lib/libsigsegv.so.0:
> 
> # rpm -ql libsigsegv  | fgrep .so
> /usr/lib/libsigsegv.so.2
> /usr/lib/libsigsegv.so.2.0.0
> 
> Can/should libsigsegv be rebuilt to fix this dependency?

What I meant to ask was if clisp should be rebuilt to depend on /usr/lib/libsigsegv.so.2 (libsigsegv-2.7-1.el5.rf.i386.rpm) instead of /usr/lib/libsigsegv.so.0 (libsigsegv-2.4-1.el5.rf.i386.rpm) to avoid this problem.

Thanks,
Alfred




More information about the users mailing list